define('bitbucket/mock/mirroring/project-selector', [
    'bitbucket/internal/util/events'
], function (
    events
) {

    var ProjectSelector = function () {
        this.init = sinon.stub().returnsThis();
        this.clear = sinon.stub().returnsThis();
        this.destroy = sinon.stub().returnsThis();
        this.enable = sinon.stub().returnsThis();
        this.disable = sinon.stub().returnsThis();
        this.showSpinner = sinon.stub().returnsThis();
        this.hideSpinner = sinon.stub().returnsThis();
        this.addIgnoredProjects = sinon.stub().returnsThis();
        this.addIgnoredProjectIds = sinon.stub().returnsThis();
        this.removeIgnoredProjectIds = sinon.stub().returnsThis();
    };

    events.addLocalEventMixin(ProjectSelector.prototype);

    return ProjectSelector;
});
